import { PluginCreator, Config } from "tailwindcss/types/config"

declare module './index.js' {
    const tailyUI: {
        handler: PluginCreator,
        config?: Partial<Config> | undefined
    }
    const safeList: string[]
    function OpenSourcePromo(config: {
        logo: any
        title: string
        color: 'default' | 'primary' | 'secondary' | 'success' | 'warning' | 'error' | 'ghost'
        text: Array<{ type: 'default' | 'primary' | 'secondary', value: string }>
        description: string
        button: {
            title: string
            link: string
        }
        github: string
        images?: string[]
    }): void
    function KPICards(config: {
        title: string
        color: 'default' | 'primary' | 'secondary' | 'success' | 'warning' | 'error' | 'ghost'
        cards: Array<{ title: string, description1: string, description2: string }>
        button: {
            title: string
            link: string
        }
    }): void
    function FeatureCards(config: {
        title: string
        color: 'default' | 'primary' | 'secondary' | 'success' | 'warning' | 'error' | 'ghost'
        reverse: boolean
        featureTitle: string
        featureDescription: Array<{ type: 'default' | 'primary' | 'secondary', value: string }>
        featureOptions: string[]
        button: {
            title: string
            link: string
        }
    }): void
}