import plugin from 'tailwindcss/plugin'
import { button } from './components/button'
import { buttonGroup, buttonGroupItem } from './components/buttonGroup'
import { card } from './components/card'
import { OpenSourcePromo } from './layouts/OpenSourcePromo'
import { KPICards } from './layouts/KPICards'
import { FeatureCards } from './layouts/FeatureCards'

const safeList = [
  "flex",
  "w-screen",
  "flex-col",
  "overflow-y-scroll",
  "h-full",
  "bg-gradient-to-tr",
  "via-zinc-950",
  "from-zinc-400/15",
  "to-violet-200/15",
  "from-blue-500/15",
  "to-green-500/15",
  "from-purple-500/15",
  "to-blue-500/15",
  "from-green-500/15",
  "to-orange-500/15",
  "from-yellow-500/15",
  "to-red-500/15",
  "from-red-500/15", 
  "to-violet-500/15",
  "from-blue-200/15", 
  "to-zinc-400/15",
  "text-zinc-50",
  "w-full",
  "items-center",
  "justify-start",
  "gap-4",
  "p-16",
  "grid",
  "grid-flow-row",
  "grid-cols-1",
  "lg:grid-cols-2",
  "mb-16",
  "flex-row",
  "gap-2",
  "h-[96px]",
  "w-[96px]",
  "bg-gradient-to-r",
  "from-zinc-400", 
  "to-violet-200",
  "from-blue-500",
  "to-green-500",
  "from-purple-500",
  "to-blue-500",
  "from-green-500", 
  "to-orange-500",
  "from-yellow-500",
  "to-red-500",
  "from-red-500", 
  "to-violet-500",
  "from-blue-200", 
  "to-zinc-400",
  "bg-clip-text",
  "text-8xl",
  "font-bold",
  "leading-tight",
  "text-transparent",
  "mb-10",
  "text-5xl",
  "inline",
  "from-slate-400", 
  "via-gray-400",
  "to-zinc-400",
  "from-cyan-500", 
  "via-sky-500", 
  "to-blue-500",
  "from-purple-500", 
  "via-violet-500", 
  "to-indigo-500",
  "from-teal-500", 
  "via-emerald-500", 
  "to-green-500",
  "from-yellow-500", 
  "via-amber-500", 
  "to-orange-500",
  "from-pink-500", 
  "via-rose-500", 
  "to-red-500",
  "from-blue-200", 
  "via-indigo-200", 
  "to-violet-200",
  "text-2xl",
  "text-zinc-500",
  "w-[400px]",
  "grid-cols-2",
  "button",
  "font-medium",
  "mx-8",
  "mt-16",
  "mb-0",
  "pb-3",
  "pt-1",
  "rotate-[-10deg]",
  "scale-100",
  "justify-center",
  "rounded-3xl",
  "py-4",
  "rotate-[10deg]",
  "scale-90",
  "blur-sm",
  "scale-[0.8]",
  "blur-md",
  "mix-blend-overlay",
  "overflow-hidden",
  "my-2",
  "grid-cols-2",
  "gap-16",
  "lg:grid-cols-4",
  "text-4xl",
  "bottom-[-30px]",
  "right-[-165px]",
  "left-[-165px]",
  "h-[180px]",
  "w-[360px]",
  "left-[-130px]",
  "right-[-130px]",
  "top-[-65px]",
  "h-[225px]",
  "w-[450px]",
  "card",
  "absolute",
  "text-center",
  "bg-gradient-to-br",
  "pb-16",
  "pt-8",
  "!w-[200px]",
  "w-auto",
  "h-auto",
  "!items-end",
  "!justify-start",
  "!px-10",
  "pb-12",
  "text-end",
  "text-start",
  "pb-3",
  "bottom-[-40px]",
  "left-[-170px]",
  "h-[225px]",
  "w-[450px]",
  "bottom-[5px]",
  "left-[295px]",
  "right-[295px]",
  "h-[360px]",
  "w-[720px]",
  "!items-start",
  "!py-6",
  "mt-4",
  "items-start",
  "items-end",
  "font-light",
  "top-[-80px]",
  "right-[-170px]",
  "bottom-[5px]",
  "px-16",
  "!w-[150px]",
  "max-w-[1440px]",
  "text-[22px]/[30px]",
  "opacity-50",
  "pb-0",
  "pt-0",
  "gap-10",
  "aspect-square",
  "min-w-[48px]"
]

const tailyUI = plugin(
  function ({addComponents}) {
    addComponents({
      '.button': {
        [button]: {}
      },
      '.button-group': {
        [buttonGroup]: {}
      },
      '.button-group-item': {
        [buttonGroupItem]: {}
      },
      '.card': {
        [card]: {}
      }
    })
  }
)

export { tailyUI, safeList, OpenSourcePromo, KPICards, FeatureCards }